Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/JobMatrix.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/JobMatrix.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/JobMatrix.cs	(revision 15541)
@@ -27,26 +27,31 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-namespace HeuristicLab.Problems.PFSP {
-  [Item("JobMatrix", "Represents a matrix of a PFSP.")]
-  [StorableClass]
-  public sealed class JobMatrix : DoubleMatrix {
-    [StorableConstructor]
-    private JobMatrix(bool deserializing) : base(deserializing) { }
-    private JobMatrix(JobMatrix original, Cloner cloner) {
-      throw new NotSupportedException("Distance matrices cannot be cloned.");
+namespace HeuristicLab.Problems.PFSP
+{
+    [Item("JobMatrix", "Represents a matrix of a PFSP.")]
+    [StorableClass]
+    public sealed class JobMatrix : DoubleMatrix
+    {
+        [StorableConstructor]
+        private JobMatrix(bool deserializing) : base(deserializing) { }
+        private JobMatrix(JobMatrix original, Cloner cloner)
+        {
+            throw new NotSupportedException("Job matrices cannot be cloned.");
+        }
+
+        public JobMatrix() : base() { }
+        public JobMatrix(int rows, int columns) : base(rows, columns) { }
+        public JobMatrix(int rows, int columns, IEnumerable<string> columnNames) : base(rows, columns, columnNames) { }
+        public JobMatrix(int rows, int columns, IEnumerable<string> columnNames, IEnumerable<string> rowNames) : base(rows, columns, columnNames, rowNames) { }
+        public JobMatrix(double[,] elements) : base(elements) { }
+        public JobMatrix(double[,] elements, IEnumerable<string> columnNames) : base(elements, columnNames) { }
+        public JobMatrix(double[,] elements, IEnumerable<string> columnNames, IEnumerable<string> rowNames) : base(elements, columnNames, rowNames) { }
+
+        public override IDeepCloneable Clone(Cloner cloner)
+        {
+            // job matrices are not cloned for performance reasons
+            cloner.RegisterClonedObject(this, this);
+            return this;
+        }
     }
-    public JobMatrix() : base() { }
-    public JobMatrix(int rows, int columns) : base(rows, columns) { }
-    public JobMatrix(int rows, int columns, IEnumerable<string> columnNames) : base(rows, columns, columnNames) { }
-    public JobMatrix(int rows, int columns, IEnumerable<string> columnNames, IEnumerable<string> rowNames) : base(rows, columns, columnNames, rowNames) { }
-    public JobMatrix(double[,] elements) : base(elements) { }
-    public JobMatrix(double[,] elements, IEnumerable<string> columnNames) : base(elements, columnNames) { }
-    public JobMatrix(double[,] elements, IEnumerable<string> columnNames, IEnumerable<string> rowNames) : base(elements, columnNames, rowNames) { }
-
-    public override IDeepCloneable Clone(Cloner cloner) {
-      // distance matrices are not cloned for performance reasons
-      cloner.RegisterClonedObject(this, this);
-      return this;
-    }
-  }
 }
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/PermutationFlowshopSchedulingProblem.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/PermutationFlowshopSchedulingProblem.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/PermutationFlowshopSchedulingProblem.cs	(revision 15541)
@@ -97,19 +97,4 @@
         }
 
-        // BackwardsCompatibility3.3
-        #region Backwards compatible code, remove with 3.4
-        [Obsolete]
-        [Storable(Name = "operators")]
-        private IEnumerable<IOperator> oldOperators
-        {
-            get { return null; }
-            set
-            {
-                if (value != null && value.Any())
-                    Operators.AddRange(value);
-            }
-        }
-        #endregion
-
         [StorableConstructor]
         private PermutationFlowshopSchedulingProblem(bool deserializing) : base(deserializing) { }
@@ -117,8 +102,7 @@
           : base(original, cloner)
         {
-            RegisterEventHandlers();
         }
         public PermutationFlowshopSchedulingProblem()
-          : base(new AwesomeMakeSpanEvaluator(), new RandomPermutationCreator())
+          : base(new CmaxMakeSpanEvaluator(), new RandomPermutationCreator())
         {
             Parameters.Add(new OptionalValueParameter<Permutation>("BestKnownSolution", "The best known solution of this FSSP instance."));
@@ -138,5 +122,4 @@
 
             InitializeOperators();
-            RegisterEventHandlers();
         }
 
@@ -147,43 +130,5 @@
 
         [StorableHook(HookType.AfterDeserialization)]
-        private void AfterDeserialization()
-        {
-            RegisterEventHandlers();
-        }
-
-        private void RegisterEventHandlers()
-        {
-            SolutionCreator.PermutationParameter.ActualNameChanged += new EventHandler(SolutionCreator_PermutationParameter_ActualNameChanged);
-            Evaluator.QualityParameter.ActualNameChanged += new EventHandler(Evaluator_QualityParameter_ActualNameChanged);
-        }
-
-        private void Evaluator_QualityParameter_ActualNameChanged(object sender, EventArgs e)
-        {
-            //Nothing to do  ParameterizeAnalyzers();
-        }
-
-        private void SolutionCreator_PermutationParameter_ActualNameChanged(object sender, EventArgs e)
-        {
-            ParameterizeEvaluator();
-            //ParameterizeAnalyzers();
-            ParameterizeOperators();
-        }
-
-        #region Events
-        private void ScheduleEvaluator_QualityParameter_ActualNameChanged(object sender, EventArgs eventArgs)
-        {
-            ParameterizeOperators();
-        }
-
-        private void SolutionCreator_SchedulingEncodingParameter_ActualNameChanged(object sender, EventArgs eventArgs)
-        {
-            ParameterizeOperators();
-        }
-
-        private void ScheduleDecoder_ScheduleParameter_ActualNameChanged(object sender, EventArgs eventArgs)
-        {
-            ParameterizeOperators();
-        }
-        #endregion
+        private void AfterDeserialization() { }
 
         #region Problem Instance Handling
@@ -202,5 +147,5 @@
                 if (!permut.Contains(0)) { permut = permut.Select(v => v - 1).ToArray(); }
                 double bestKnownQuality = MakeSpanEvaluator.Apply(
-                    new AwesomeMakeSpanEvaluator(),
+                    new CmaxMakeSpanEvaluator(),
                     new DoubleMatrix(data.ProcessingTimes),
                     new Permutation(PermutationTypes.Absolute, permut)
@@ -213,5 +158,4 @@
             ParameterizeSolutionCreator();
         }
-
         public FSSPData Export()
         {
@@ -251,19 +195,7 @@
         private void InitializeOperators()
         {
-            var operators = new HashSet<IPermutationOperator>(new IPermutationOperator[] {
-                new OrderCrossover2(),
-                new InversionManipulator(),
-                new StochasticInversionMultiMoveGenerator()
-            }, new TypeEqualityComparer<IPermutationOperator>());
-
-            foreach (var op in ApplicationManager.Manager.GetInstances<IPermutationOperator>())
-                operators.Add(op);
-            Operators.AddRange(operators);
-            Operators.Add(new BestTSPSolutionAnalyzer());
+            Operators.AddRange(ApplicationManager.Manager.GetInstances<IPermutationOperator>());
             ParameterizeOperators();
-            UpdateMoveEvaluators();
-        }
-
-
+        }
         private void ParameterizeOperators()
         {
@@ -306,19 +238,7 @@
             }
         }
-        #endregion
-
-        private void UpdateMoveEvaluators()
-        {
-            Operators.RemoveAll(x => x is ISingleObjectiveMoveEvaluator);
-            foreach (var op in ApplicationManager.Manager.GetInstances<ISingleObjectiveMoveEvaluator>())
-                Operators.Add(op);
-
-            ParameterizeOperators();
-            OnOperatorsChanged();
-        }
-
         private void ParameterizeSolutionCreator()
         {
-            SolutionCreator.LengthParameter.Value = new IntValue(JobMatrix.Columns); //Jobs
+            SolutionCreator.LengthParameter.Value = new IntValue(JobMatrix.Columns);
 
             SolutionCreator.LengthParameter.Hidden = SolutionCreator.LengthParameter.Value != null;
@@ -328,5 +248,5 @@
         private void ParameterizeEvaluator()
         {
-            if (Evaluator is AwesomeMakeSpanEvaluator)
+            if (Evaluator is CmaxMakeSpanEvaluator)
             {
                 IMakespanEvaluator evaluator = (IMakespanEvaluator)Evaluator;
@@ -335,4 +255,5 @@
             }
         }
+        #endregion
     }
 }
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Plugin.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Plugin.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Plugin.cs	(revision 15541)
@@ -1,3 +1,24 @@
-﻿using HeuristicLab.PluginInfrastructure;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Problems.PFSP
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Properties/AssemblyInfo.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Properties/AssemblyInfo.cs	(revision 15541)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.InteropServices;
 
@@ -33,4 +54,4 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.14.14965")]
+[assembly: AssemblyFileVersion("3.3.14.15521")]
 
Index: branches/2864_PermutationProblems/PermutationProblems.sln
===================================================================
--- branches/2864_PermutationProblems/PermutationProblems.sln	(revision 15540)
+++ branches/2864_PermutationProblems/PermutationProblems.sln	(revision 15541)
@@ -11,4 +11,8 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.PFSP.Views-3.3", "HeuristicLab.Problems.PFSP.Views\3.3\HeuristicLab.Problems.PFSP.Views-3.3.csproj", "{F53AECD6-061C-4A62-B2DB-51E36EECBB79}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.Instances.LinearOrdering-3.3", "HeuristicLab.Problems.Instances.LinearOrdering\3.3\HeuristicLab.Problems.Instances.LinearOrdering-3.3.csproj", "{648F0BF0-6301-448C-816F-DEB1E65EC73F}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.Instances-3.3", "HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj", "{3540E29E-4793-49E7-8EE2-FEA7F61C3994}"
 EndProject
 Global
@@ -70,4 +74,28 @@
 		{F53AECD6-061C-4A62-B2DB-51E36EECBB79}.Release|x86.ActiveCfg = Release|x86
 		{F53AECD6-061C-4A62-B2DB-51E36EECBB79}.Release|x86.Build.0 = Release|x86
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Debug|x64.Build.0 = Debug|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Debug|x86.Build.0 = Debug|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Release|x64.ActiveCfg = Release|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Release|x64.Build.0 = Release|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Release|x86.ActiveCfg = Release|Any CPU
+		{648F0BF0-6301-448C-816F-DEB1E65EC73F}.Release|x86.Build.0 = Release|Any CPU
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Debug|x64.ActiveCfg = Debug|x64
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Debug|x64.Build.0 = Debug|x64
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Debug|x86.ActiveCfg = Debug|x86
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Debug|x86.Build.0 = Debug|x86
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Release|Any CPU.Build.0 = Release|Any CPU
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Release|x64.ActiveCfg = Release|x64
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Release|x64.Build.0 = Release|x64
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Release|x86.ActiveCfg = Release|x86
+		{3540E29E-4793-49E7-8EE2-FEA7F61C3994}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
